* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  display: flex;
  font-family: "Segoe UI", sans-serif;
  background-color: #f4f4f4;
  min-height: 100vh;
}

nav {
  width: 250px;
  background-color: #2c3e50;
  color: white;
  padding: 2rem 1rem;
  flex-shrink: 0;
}

nav h2 {
  font-size: 1.5rem;
  margin-bottom: 1.5rem;
}

nav a {
  display: block;
  color: #ecf0f1;
  text-decoration: none;
  padding: 0.5rem 0;
  transition: 0.2s;
}

nav a:hover {
  color: #1abc9c;
}

main {
  flex: 1;
  padding: 2rem;
  background: white;
  max-width: 900px;
  margin: 2rem auto;
  box-shadow: 0 0 10px rgba(0,0,0,0.05);
}

h1, h2, h3 {
  color: #2c3e50;
  margin-bottom: 1rem;
}

p {
  margin-bottom: 2px;
}

a {
  color: #2980b9;
}

pre {
  background-color: #272822;
  color: #f8f8f
}
li {
      list-style: none;
      flex-direction: column;
}
.language-yaml {
  color: white;
}

code {
  font-family: "Courier New", monospace;
  background-color: #eef;
  padding: 2px 4px;
  border-radius: 3px;

}

nav ul {
  list-style: none;
  padding-left: 0;
}

nav ul li {
  margin-bottom: 0.5rem;

}

nav ul li ul.submenu {
  margin-top: 0.25rem;
  margin-left: 1rem;
  font-size: 0.95em;
}

nav ul li ul.submenu li {
  margin-bottom: 0.3rem;
}
pre code {
  display: block;
  padding: 1rem;
  background-color: #272822;
  color: #f8f8f2;
  border-radius: 5px;
  overflow-x: auto;
  white-space: pre-wrap;
  font-family: "Courier New", monospace;
}
